############################################################################
# Joshua R. Boverhof, LBNL
# See LBNLCopyright for copyright notice!
###########################################################################
from pyGridWare.security.authz.resource import ResourcePortal
from pyGridWare.security.authz.checkers import X509SubjectDNChecker, GridMapChecker
from pyGridWare.services.DelegationFactoryService import DelegationFactoryService

#resource = DelegationFactoryService(contextFactory=None)
resource = ResourcePortal(DelegationFactoryService(contextFactory=None), 
                  checkers=(X509SubjectDNChecker(),GridMapChecker()),
               )
